aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Fainelli <florian@openwrt.org>2008-01-04 04:20:24 +0000
committerFlorian Fainelli <florian@openwrt.org>2008-01-04 04:20:24 +0000
commit12b3d87d5eef0110a1496a34bbb80f0bf31becc6 (patch)
treec3419d017743b210cea3cf34342644f01c88e854
parented154203427c5c68aa33a708f3424b7c1a83aed6 (diff)
downloadupstream-12b3d87d5eef0110a1496a34bbb80f0bf31becc6.tar.gz
upstream-12b3d87d5eef0110a1496a34bbb80f0bf31becc6.tar.bz2
upstream-12b3d87d5eef0110a1496a34bbb80f0bf31becc6.zip
First check for arguments before even getting an IP address
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@10110 3c298f89-4303-0410-b956-a3cf2f4a3e73
-rwxr-xr-xtarget/linux/adm5120/router_le/base-files/sbin/wget2nand17
1 files changed, 9 insertions, 8 deletions
diff --git a/target/linux/adm5120/router_le/base-files/sbin/wget2nand b/target/linux/adm5120/router_le/base-files/sbin/wget2nand
index 9b27b579b4..8843c286ee 100755
--- a/target/linux/adm5120/router_le/base-files/sbin/wget2nand
+++ b/target/linux/adm5120/router_le/base-files/sbin/wget2nand
@@ -13,17 +13,18 @@
exit 1
}
-# first get an address for br-lan using udhcpc
-killall udhcpc
-/sbin/udhcpc -i br-lan
-
# need to find the wget server from the command line
url=$1
[ -z "$url" ] && {
- echo "No URL specified for image TGZ"
- echo "Usage : $0 URL"
- exit 1
-}
+ echo "No URL specified for image TGZ"
+ echo "Usage : $0 URL"
+ exit 1
+}
+
+
+# first get an address for br-lan using udhcpc
+killall udhcpc
+/sbin/udhcpc -i br-lan
boot="$(find_mtd_part 'RouterBoard NAND Boot')"
main="$(find_mtd_part 'rootfs')"